package com.sooka.job;

import com.sooka.common.security.annotation.EnableCustomConfig;
import com.sooka.common.security.annotation.EnableRyFeignClients;
import com.sooka.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 定时任务
 *
 * @author sooka
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class SookaJobApplication {
    public static void main(String[] args) {
        SpringApplication.run(SookaJobApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  定时任务模块启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
