#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../sooka-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy sooka-gateway "
cp ../sooka-gateway/target/sooka-gateway.jar ./sooka/gateway/jar

echo "begin copy sooka-auth "
cp ../sooka-auth/target/sooka-auth.jar ./sooka/auth/jar

echo "begin copy sooka-visual "
cp ../sooka-visual/sooka-monitor/target/sooka-visual-monitor.jar  ./sooka/visual/monitor/jar

echo "begin copy sooka-modules-system "
cp ../sooka-modules/sooka-system/target/sooka-modules-system.jar ./sooka/modules/system/jar

echo "begin copy sooka-modules-file "
cp ../sooka-modules/sooka-file/target/sooka-modules-file.jar ./sooka/modules/file/jar

echo "begin copy sooka-modules-job "
cp ../sooka-modules/sooka-job/target/sooka-modules-job.jar ./sooka/modules/job/jar

echo "begin copy sooka-modules-gen "
cp ../sooka-modules/sooka-gen/target/sooka-modules-gen.jar ./sooka/modules/gen/jar

