package com.sooka.gen;

import com.sooka.common.security.annotation.EnableCustomConfig;
import com.sooka.common.security.annotation.EnableRyFeignClients;
import com.sooka.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 代码生成
 *
 * @author sooka
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class SookaGenApplication {
    public static void main(String[] args) {
        SpringApplication.run(SookaGenApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  代码生成模块启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
