package com.sooka.system;

import com.sooka.common.security.annotation.EnableCustomConfig;
import com.sooka.common.security.annotation.EnableRyFeignClients;
import com.sooka.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 *
 * @author sooka
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class SookaSystemApplication {
    public static void main(String[] args) {
        SpringApplication.run(SookaSystemApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  系统模块启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
